microsoft-foundry.rest.security.o-auth2-auth
Indexes
Get a version
GET
/indexes/{name}/versions/{version}
Get the specific version of the Index. The service returns 404 Not Found error if the Index does not exist.
Query parameters
api-version
string
required
The API version to use for this operation.
Path parameters
name
string
required
The name of the resource
version
string
required
The specific version id of the Index to retrieve.
Responses
The request has succeeded.
Body
Content-Type: application/json
One of the following:
AzureSearch
AzureAISearchIndex
Azure AI Search Index Definition
type
enum
required
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndex
Managed Azure AI Search Index Definition
type
enum
required
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndex
CosmosDB Vector Store Index Definition
type
enum
required
Type of index
CosmosDBNoSqlVectorStore
Request
GET /indexes/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json